Skip to content

Create Job scope change request

Create a scope change request for a job.

This endpoint allows you to create new job scope change requests.

Path Parameters

job_id
•
string
required

ID of the job to create the scope change request.

Endpoint

MethodUrl
POST/v1.0/jobs/{job_id}/scope_change/consultations

Request Parameters

reason
•
string
required

A brief message explaining the reason for creating the consultation scope change request.

add
•
list
required

A list of consultation items you want to include in the scope.

remove
•
list
required

A list of consultation items you want to remove from the scope.

Sample Request

bash
Copied
1curl -X POST 'https://api.worklayer.com/v1.0/jobs/d3ef618d-752d-4384-9e66-2e11281b89d8/scope_change/consultations' \
2 -H 'Authorization: Bearer {token}' \
3 -d '{
4 "reason": "Add consultation items",
5 "add": [
6 {"consultation_item_id": "ea7dd97b-a485-41b5-9cca-a607915b2f80", "quantity_to_add": 1},
7 {"consultation_item_id": "b1b66b75-c23e-4fc4-b24b-924f25dfd2d0", "quantity_to_add": 1}
8 ],
9 "remove": [
10 {"consultation_item_id": "3bcc8382-cdd5-4895-8ce2-b271955454c6", "quantity_to_remove": 1}
11 ]
12 }'

Response

id
•
guid

The job scope change request ID.

job_id
•
guid

The job ID.

user_id
•
guid

The ID of the user who registered the scope change request.

created_time
•
guid

The creation time of the scope change request.

items
•
list

A list of consultation items to be modified in the scope change requests.

Sample Response

json
Copied
1{
2 "id": "f8a22b94-b5c7-49c8-9a64-5ac61f6c3fcd",
3 "job_id": "d3ef618d-752d-4384-9e66-2e11281b89d8",
4 "created_by_user_id": "ab1eeae0-3bb0-5318-9bc0-2fa2afe80b9a",
5 "created_time": "2024-12-06T21:19:08.012981Z",
6 "items": [
7 {
8 "name": "Consultation (30 Minutes)",
9 "quantity": 1,
10 "price": 50.0,
11 "consultation_item_id": "b1b66b75-c23e-4fc4-b24b-924f25dfd2d0"
12 },
13 {
14 "name": "Consultation (1 Hour)",
15 "quantity": 1,
16 "price": 100.0,
17 "consultation_item_id": "ea7dd97b-a485-41b5-9cca-a607915b2f80"
18 }
19 ]
20}

Add Item

consultation_item_id
•
guid
required

The unique identifier of the consultation item.

quantity_to_add
•
numeric
required

The quantity of the consultation item to be added.

Remove Item

consultation_item_id
•
guid
required

The unique identifier of the consultation item.

quantity_to_remove
•
numeric
required

The quantity of the consultation item to be removed.

Consultation Item

name
•
string

The name of the consultation item.

quantity
•
numeric

The quantity of the consultation item.

price
•
numeric

The price of the consultation item.

consultation_item_id
•
guid

The unique identifier of the consultation item.

Last updated on December 6, 2024